Skip to main content
GET
/
v1
/
voice
/
calls
List Calls
curl --request GET \
  --url https://api.selcor.ai/v1/voice/calls \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "call_id": "<string>",
      "status": "<string>",
      "direction": "<string>",
      "caller_number": "<string>",
      "duration": 123,
      "summary": "<string>",
      "sentiment": "<string>",
      "category": "<string>",
      "call_successful": true,
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "agent": {
        "id": "<string>",
        "name": "<string>"
      },
      "patient": {
        "id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>"
      }
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key in format: sk_live_...

Query Parameters

location_id
string
required
Example:

"clxyz123"

status
string
direction
string
category
string
since
string
Example:

"2025-01-01T00:00:00Z"

limit
number
default:25
Required range: 1 <= x <= 100
Example:

25

cursor
string

Response

200 - application/json

Paginated list of calls

data
object[]
required
pagination
object
required
request_id
string
required